Skip to main content
GET
/
refunds
Retrieves all refunds
curl --request GET \
  --url https://api.example.com/refunds \
  --header 'x-digest-key: <x-digest-key>' \
  --header 'x-digest-signature: <x-digest-signature>' \
  --header 'x-digest-timestamp: <x-digest-timestamp>'
{
  "items": [
    {
      "amount": {
        "asset_id": "USDC:GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
        "value": 1000
      },
      "status": "refunded",
      "description": "Refund for overcharge",
      "settlement_Id": "a1b8a00ed41563f78be51e66c6e1f435129b30a4dd3672580633bc5758459e1d",
      "metadata": {},
      "refund_id": "rf_fpaBPVF1t_",
      "payment": {
        "id": "pt_AEtKAcN9d-",
        "createdAt": "2023-11-18T20:46:15.652Z",
        "updatedAt": "2023-11-18T20:46:15.652Z",
        "expiresAt": "2023-11-18T21:16:15.649Z",
        "mode": "test",
        "amount": {
          "value": 200,
          "currency": "USD"
        },
        "description": "Buying phone",
        "status": "open",
        "settlement_status": "open",
        "redirectUrl": "https://example.com",
        "webhookUrl": "https://example.com/webhook",
        "hostedUrl": "https://ebioro-sandbox-merchant-widget.netlify.app/payments?paymentId=pt_QKTDINJ662&auth_token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0LmViaW9yby5jb20iLCJhdWQiOiJodHRwczovL3Rlc3QtZWJpb3JvLW1lcmNoYW50LXNlcnZpY2UtMzgxNTIyNmU5MmE4Lmhlcm9rdWFwcC5jb20iLCJzdWIiOiJjMzMyZTlkYi1kYjQ1LTQ1ZmQtOTFmMy03NGNiNWU5NTQzYzQiLCJpYXQiOjE3MTQwNjcxOTIsImV4cCI6MTcxNDA3MDc5Mn0.EY5xyWptYzD1HgJPUev6LGMRFFZ8HDZOsE2Vk35OASk&lang=es",
        "qrCode": "web+stellar:pay?destination=GAPU7KB2B2USVSWBFJRHGX7AYIWYKF2W44WWDCYEJTEER5D2QYEGD5GM&amount=2.68&asset_code=USDC&asset_issuer=GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5&memo=pt_AEtKAcN9d-&memo_type=text&msg=Buying+phone",
        "merchantName": "Test Store",
        "cancelUrl": "https://example.com/cancel",
        "locale": "es",
        "metadata": {},
        "stellarTxId": "1b680e9577572a0c3e648dcc1686373c87417d9ec17614d0ed5bf0ca397f8fcd",
        "settlement_stellarTxId": "1b680e9577572a0c3e648dcc1686373c87417d9ec17614d0ed5bf0ca397f8fcd",
        "settlement_currency": "USDC",
        "settlement_amount": 2663,
        "history": [
          {
            "time": 1714124827333,
            "status": "success",
            "description": "Payment created"
          }
        ],
        "sender_account": "GDFJ7PTIJGDINCLD7ZWZMYURELPMP6JZ6NMJBDBHKDXBFFWBC4SUFA4F",
        "asset_id": "USDC:GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
        "refunded": false,
        "type": "order"
      }
    }
  ],
  "meta": {
    "totalItems": 1,
    "itemCount": 1,
    "itemsPerPage": 20,
    "totalPages": 1,
    "currentPage": 1
  },
  "links": {
    "first": "https://test-merchant.api.ebioro.com/refunds?limit=20",
    "previous": "",
    "next": "",
    "last": "https://test-merchant.api.ebioro.com/refunds?page=1&limit=20"
  }
}

Headers

x-digest-timestamp
string
required

Current Unix timestamp

x-digest-key
string
required

Your public api key

x-digest-signature
string
required

Digest Auth Signature

Query Parameters

page
number

Page number of the refunds list

limit
number

Number of refunds per page

Response

On success the endpoint will return an object with the refund information

items
object[]
meta
object